-- MySQL dump 9.11
--
-- Database dump for the qmail-msglog program
--
-- Copyright (c) 2004  Peter Pentchev
-- All rights reserved.
--
-- Redistribution and use in source and binary forms, with or without
-- modification, are permitted provided that the following conditions
-- are met:
-- 1. Redistributions of source code must retain the above copyright
--    notice, this list of conditions and the following disclaimer.
-- 2. Redistributions in binary form must reproduce the above copyright
--    notice, this list of conditions and the following disclaimer in the
--    documentation and/or other materials provided with the distribution.
--
-- THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
-- ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-- IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-- ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
-- FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
-- DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
-- OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
-- HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
-- LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
-- OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
-- SUCH DAMAGE.
-- 
-- $Ringlet: perl/mail/qmail-msglog/sql/mysql.sql,v 1.3 2004/10/20 00:15:39 roam Exp $
--
-- Host: localhost    Database: maillog
-- ------------------------------------------------------
-- Server version	4.0.21

--
-- Table structure for table `mail_msg`
--

CREATE TABLE mail_msg (
  id int(11) NOT NULL auto_increment,
  sender varchar(100) NOT NULL default '',
  msg_id varchar(80) NOT NULL default '',
  subject varchar(200) NOT NULL default '',
  length int(11) NOT NULL default '0',
  hdrlen int(11) NOT NULL default '0',
  tstamp timestamp(14) NOT NULL,
  PRIMARY KEY  (id),
  KEY sender (sender),
  KEY msg_id (msg_id)
) TYPE=MyISAM;

--
-- Table structure for table `mail_recip`
--

CREATE TABLE mail_recip (
  msg_id int(11) NOT NULL default '0',
  idx int(11) NOT NULL default '0',
  recip varchar(100) NOT NULL default '',
  PRIMARY KEY  (msg_id,idx),
  KEY recip (recip)
) TYPE=MyISAM;

--
-- Table structure for table `mail_env`
--

CREATE TABLE mail_env (
  msg_id int(11) NOT NULL default '0',
  idx int(11) NOT NULL default '0',
  name varchar(100) default NULL,
  value varchar(255) default NULL,
  PRIMARY KEY  (msg_id,idx),
  KEY msg_id (msg_id,name),
  KEY name (name)
) TYPE=MyISAM;

--
-- Table structure for table `mail_text`
--

DROP TABLE IF EXISTS mail_text;
CREATE TABLE mail_text (
  msg_id int(11) NOT NULL default '0',
  msg_len int(11) NOT NULL default '0',
  msg_limit int(11) NOT NULL default '0',
  msg_snipped tinyint(4) NOT NULL default '0',
  msg_type varchar(255) NOT NULL default '',
  msg_text text NOT NULL,
  PRIMARY KEY  (msg_id)
) TYPE=MyISAM;

